<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/use-class-path-as-package.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/use-class-path-as-package.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/use-class-path-as-package.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestUseClassPathAsPackage extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>    var $output;
<a name="line10"></a>    
<a name="line11"></a>	function testUseClassPathAsPackage() {
<a name="line12"></a>        
<a name="line13"></a>		$this->DoctorTestCase('Test use class path as package option');
<a name="line14"></a>		
<a name="line15"></a>		$this->setIniFile('use-class-path-as-package.ini');
<a name="line16"></a>		$this->output = $this->runPhpDoctor();
<a name="line17"></a>		
<a name="line18"></a>		#var_dump($this->output); die;
<a name="line19"></a>	}
<a name="line20"></a>	
<a name="line21"></a>	function testClass() {
<a name="line22"></a>		$this->assertTrue(strpos($this->output, 'public class PHPDoctor\\Tests\\Package\\Subpackage\\testClass'));
<a name="line23"></a>	}
<a name="line24"></a>	
<a name="line25"></a>	/*
<a name="line26"></a>	function testInterface() {
<a name="line27"></a>		$this->assertTrue(strpos($this->output, 'public interface PHPDoctor\\Tests\\anInterface'));
<a name="line28"></a>	}
<a name="line29"></a>	
<a name="line30"></a>	function testMemberVariable() {
<a name="line31"></a>		$this->assertTrue(strpos($this->output, 'public mixed PHPDoctor\\Tests\\$aVar'));
<a name="line32"></a>	}
<a name="line33"></a>	
<a name="line34"></a>	function testMemberFunction() {
<a name="line35"></a>		$this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\aMethod()'));
<a name="line36"></a>	}
<a name="line37"></a>	
<a name="line38"></a>	function testConstant() {
<a name="line39"></a>	    $this->assertTrue(strpos($this->output, 'final int PHPDoctor\\Tests\\THREE'));
<a name="line40"></a>	}
<a name="line41"></a>    
<a name="line42"></a>	function testFunction() {
<a name="line43"></a>	    $this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\aFunction()'));
<a name="line44"></a>	}
<a name="line45"></a>	
<a name="line46"></a>	function testVariable() {
<a name="line47"></a>	    $this->assertTrue(strpos($this->output, 'mixed PHPDoctor\\Tests\\$one'));
<a name="line48"></a>	}
<a name="line49"></a>	//*/
<a name="line50"></a>}
<a name="line51"></a>
<a name="line52"></a>?>
<a name="line53"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/use-class-path-as-package.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>